Subject: Re: git integration with monodevelop

From: Andreas Ericsson <[email-masked]>
Date: Fri, 14 Nov 2008 14:53:55 +0100

Johannes Schindelin wrote:
> Hi,
> 
> On Thu, 13 Nov 2008, Andreas Ericsson wrote:
> 
>> Evgeniy Ivanov wrote:
>>
>>> But this is the same things Shawn has suggested to my mentor and me at 
>>> the beginning of SoC...
>> Oh? I didn't know libgit2 started as a SoC project.
> 
> It did not.  It started as a request from GitHub, and following 
> discussion, at the GitTogether '08.
> 
> There _was_ a SoC project last year, libgit-thin, but the problem as far 
> as GitHub is concerned was that it was a tear-down approach: it took 
> git.git and tried to make a small library of it, and by this approach was 
> bound to the GPL.
> 

Oh. I was under the impression that libgit2 would also be able to reuse
code from git.git, since there was that huge license thread a couple of
months ago. Did I misinterpret that thread, and everything in libgit2
has to be implemented from scratch?

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231